> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Spec Knowledge

> Delete a knowledge base item.



## OpenAPI

````yaml /openapi.json delete /api/v1/specs/{spec_id}/knowledge/{knowledge_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/specs/{spec_id}/knowledge/{knowledge_id}:
    delete:
      tags:
        - specs
      summary: Delete Spec Knowledge
      description: Delete a knowledge base item.
      operationId: >-
        delete_spec_knowledge_api_v1_specs__spec_id__knowledge__knowledge_id__delete
      parameters:
        - in: path
          name: spec_id
          required: true
          schema:
            title: Spec Id
            type: string
        - in: path
          name: knowledge_id
          required: true
          schema:
            title: Knowledge Id
            type: string
      responses:
        '204':
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````